
body {
    background-image: linear-gradient(to right, black, var(--mb));
}
  /* Styling the main content of the page. */
.content {
    font-family: roboto;
    margin: 2rem auto;
    margin-top: 120px;
    max-width: 80%;
}
  
.contact-form h2{
    color: var(--co);
    font-size: 25px;
    font-weight: 700;
    margin-bottom: 1rem;
}

.contact-info h2{
    color: var(--db);
    font-size: 25px;
    font-weight: 700;
    margin-bottom: 1rem;
}
  
.top {
    color: var(--co);
    margin-bottom: .5rem;
    font-weight: 500;
}
  
.contact {
    display: flex;
    background: #00000075;
    flex-wrap: wrap;
    color: white;
    border-radius: 1rem;
    margin: 1rem 0;
    box-shadow: 0 5px 5px 0 #00000025;
}
  
/* Styling the contact form. */
.contact-form {
    flex-basis: 60%; /* This will take the first 60% of the container. */
    padding: 2rem 3rem;
}
  
  /* Styling the contact information. */
.contact-info {
    flex-basis: 40%; /* This section will take the remaining 40% of the container. */
    padding: 2rem 3rem;
    background-image: linear-gradient(to right, var(--co), var(--cy));
    color: var(--db);
    border-radius: 1rem;
}
  
  /* Styling the form and its contents. */
.form-row {
    display: flex;
    justify-content: space-between;
    margin-bottom: 5px;
}
  
.form-row .form-field {
    flex-basis: 45%;
}
  
.error {
    color: rgb(255, 255, 255);
    border: 1px solid red;
    background-color: rgba(255, 0, 0, 0.1);
    padding: 5px;
    border-radius: 5px;
    display: none;
    text-align: center;
    transition: all 0.3s ease;
}
  
  /* Styling the elements of the form. */
label {
    display: block;
    margin-bottom: 10px;
    margin-top: 5px;
}
  
input {
    width: 100%;
    border:none;
    background-color: transparent;
    border-bottom: 1px solid var(--co);
    outline: none;
    padding-bottom: .5rem;
    margin-bottom: 5px;
}
  
input[type]{
    color: rgb(183, 178, 178);
}

textarea[placeholder] {
    color: grey;
}

input[name="DOB"] {
    flex-basis: 65%;
}
input[type="date"]::-webkit-calendar-picker-indicator {
    background: url('../images/calt.png') no-repeat;
    width: 20px;
    height: 18px;
}
label.small {
    display: flex;
    justify-content: flex-start;
    gap: 5px;
}
  
select {
    color: white;
    background-color: transparent;
    cursor: pointer;
    padding: 5px;
    border: 1px solid var(--co);
    margin-left: 10px;
    border-radius: 5px;
}
  
fieldset {
    margin-top: 20px;
    padding: 20px;
    border: 2px solid var(--co);
}
  
legend {
    font-weight: bold;
    padding: 0 5px;
    color: var(--co);
}
  
input[type="checkbox"] {
    display: inline-block;
    width: 15px;
    height: 15px;
}
  
textarea {
    width: 100%;
    border: 1px solid var(--co);
    outline: none;
    padding: .2rem;
    background-color: transparent;
    margin-bottom: 5px;
}
  /* Styling the send button of the form. */
.send-button {
    padding: 5px 40px 5px 40px;
    border-radius: 5px;
    float: right;
    background-color: transparent;
    color: var(--co);
    border: 1px solid var(--co);
}
  
.send-button:hover {
    background-color: var(--co);
    color: var(--db);
}
  
  /* Styling the table containing contact info. */
tr td {
    font-weight: 300;
    vertical-align: top;
    padding-top: 1.5rem;
}
  
tr td:first-child {
    padding-right: 1rem;
}
  
tr td a:link {
    color: var(--db);
    text-decoration: none;
}
  
.contact-info img {
    border-radius: 10px;
    margin-top: 30px;
    transition: all 0.3s ease-in-out;
}
/* This will change and overwrite styles, when the width of the device is 900px or less. */
@media (max-width: 1150px) {
    .contact-form {
      flex-basis: 100%;
    }
  
    .form-row {
      flex-direction: column;
    }
  
    .contact-info {
      flex-basis: 100%;
    }
  
    input[type="date"] {
      flex-basis: 40%;
    }
}
@media (max-width:455px){
    .contact-info{
        width: 80vw;
    }
    table{
        margin-left: -15px;
        font-size: 12px;
    }
}
  
  